/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.isignature.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 电子签章信息Entity
 * @author fgy
 * @version 2018-04-17
 */
public class ISignatureDocument extends DataEntity<ISignatureDocument> {
	
	private static final long serialVersionUID = 1L;
	private String recordId;		// 文档编号
	private String subject;		// 文档主题
	private String type;		// 文档类型
	private String status;		// 文档状态
	private String companyId;		// 当前公司
	private String filePath; // 文档存储地址
	private String fileName; //文档名
	private String imagePath; //图片存储地址
	private String isignatureStatus;//是否已签章0是1否

	public String getIsignatureStatus() {
		return isignatureStatus;
	}

	public void setIsignatureStatus(String isignatureStatus) {
		this.isignatureStatus = isignatureStatus;
	}

	public ISignatureDocument() {
		super();
	}

	public ISignatureDocument(String id){
		super(id);
	}

	@ExcelField(title="文档编号", align=2, sort=7)
	public String getRecordId() {
		return recordId;
	}

	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}
	
	@ExcelField(title="文档主题", align=2, sort=8)
	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
	
	@ExcelField(title="文档类型", align=2, sort=9)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="文档状态", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="当前公司", align=2, sort=11)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getImagePath() {
		return imagePath;
	}

	public void setImagePath(String imagePath) {
		this.imagePath = imagePath;
	}
}